<?php
class AccionesCabina_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }
   public function guardar($parametro){ //guarda los datos de una nueva franquicia en la bd
     $campos=array(
         'NombreCabina' => $parametro['NombreCabina'],
         'franquicias_IdFranquicias' => $parametro['franquicias_IdFranquicias'],
         
      );
      $this->db->insert('cabina',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
        //  echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('franquicias/cabinas/administrador/cabinaA','refresh');
         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA';
                 </script>";
      }else{
        //Verifica que la consulta se realizo 
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente, verifica la información ingresada');</script>";
        // redirect('franquicias/cabinas/administrador/cabinaA','refresh');
         echo "<script>alert('Los datos no pudierón ser guardados correctamente, verifica la información ingresada');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA';
                 </script>";
    }
  
   }
   
  public function eliminar ($id){//elimina una franquicia por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdCabina', $id);
      $this->db->delete('cabina');
       $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==-1){
        //Muestra una alerta cuando no se realizo
        //  echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usando en otras tablas');</script>";
        // redirect('franquicias/cabinas/administrador/cabinaA','refresh');
         echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usando en otras tablas');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA';
                 </script>";
      }else{
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Los datos se han eliminado correctamente');</script>";
        // redirect('franquicias/cabinas/administrador/cabinaA','refresh');
         echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA';
                 </script>";
      }

 }
//permite acceder al id de la franquicia que se desea editar por medio de la variable $id que es pasada por el controlador

   public function obtenerenlace ($id){
      $this->db->where('IdCabina', $id);
      $query=$this->db->get('cabina');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }


   //permite guardar en la bd la información que se modificó de la cabina
   function editarenlace ($IdCabina, $data)
   {
       $this->db->where('IdCabina', $IdCabina);
       $this->db->update('cabina',$data);
       $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo 
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        //  redirect('franquicias/cabinas/administrador/cabinaA','refresh');
          echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        //  redirect("franquicias/cabinas/administrador/cabinaA/editar/$IdFranquicias",'refresh');
          echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA/editar/$IdFranquicias';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        //   redirect("franquicias/cabinas/administrador/cabinaA/editar/$IdFranquicias",'refresh');
          echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA/editar/$IdFranquicias';
                 </script>";
      }
       
   }
 
//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre de la franquicia)
    function buscar($query) { 
    $this->db->like('NombreFranquicia', $query);
    $query = $this->db->get('cabina');
     //Verifica que la consulta se realizo 
    if ($query->num_rows() > 0){
      return $query;
    }else{
      return FALSE;
       //Muestra una alerta cuando no se realizo
        // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
        // redirect('franquicias/cabinas/administrador/cabinaA','refresh');
        echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."franquicias/cabinas/administrador/cabinaA';
                 </script>";
    }
  }

   //Consulta que muestra las franqucias registradas   
  public function BuscarFranq(){
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias ORDER BY NombreFranquicia ASC'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



}
